<com.google.android.gms.ads.nativead.NativeAdView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nativeAdView"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="10dp">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.google.android.gms.ads.nativead.MediaView
            android:id="@+id/ad_media"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_138"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="5dp"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_ad"
            android:gravity="center"
            android:paddingHorizontal="@dimen/dp_12"
            android:paddingVertical="@dimen/dp_2"
            android:text="AD"
            android:textColor="@color/white"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <ImageView
            android:id="@+id/ad_app_icon"
            android:layout_width="@dimen/dp_42"
            android:layout_height="@dimen/dp_42"
            android:layout_gravity="center_vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ad_media"
            tools:ignore="ContentDescription" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_6"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@id/ad_app_icon"
            app:layout_constraintEnd_toStartOf="@+id/ad_call_to_action"
            app:layout_constraintStart_toEndOf="@id/ad_app_icon"
            app:layout_constraintTop_toTopOf="@id/ad_app_icon">

            <TextView
                android:id="@+id/ad_headline"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:maxLines="2"
                android:textColor="@color/black"
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/ad_body"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:maxLines="2"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textSize="12sp" />


        </LinearLayout>

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/ad_call_to_action"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_gravity="center_vertical"
            android:background="@drawable/bg_btn_ad"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="@id/ad_app_icon"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/ad_app_icon"
            tools:ignore="SpeakableTextPresentCheck,TouchTargetSizeCheck,VisualLintButtonSize" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</com.google.android.gms.ads.nativead.NativeAdView>